if !has("win32") || has("gui_running")
  " Enable spell check when available
  setlocal spell
endif

" Set up format options
"   t - Auto-wrap text using textwidth
"   n - When formatting text, recognize numbered lists
"   q	- Allow formatting of comments with 'gq'
"   o	- Automatically insert the current comment leader after hitting 'o' or
"       'O' in Normal mode
set formatoptions+=tnqo

" A pattern that is used to recognize a list header
set formatlistpat="^\s*\d\+\.\s\+\|^[-*+]\s\+"
