" Set up tabs
set expandtab
set tabstop=8
set shiftwidth=4
set softtabstop=4

" Set up text width
setlocal textwidth=0

" Set up format options
"   c - Auto-wrap comments using textwidth
"   r - Automatically insert the current comment leader after hitting <Enter>
"       in Insert mode
"   o - Automatically insert the current comment leader after hitting 'o' or
"       'O' in Normal mode.
setlocal formatoptions+=cro

" Set up highlighting of tabs
highlight BadWhitespace ctermbg=red guibg=red
match BadWhitespace /^\t\+/

" Set up file encoding
setlocal encoding=utf-8

" Set up file format
setlocal fileformat=unix
let python_highlight_all=1

" Mappings
nnoremap K :YcmCompleter GetDoc<CR>
